/*
 * Plane.h
 *
 *  Created on: Aug 14, 2012
 *      Author: scottyoung
 */

#ifndef PLANE_H_
#define PLANE_H_

#include "Object3D.h"

class Plane: public Object3D {
public:
	Plane(Vec3f n, float o, Material *m);
	virtual ~Plane();
	virtual bool intersect(const Ray &r, Hit &h, float tMin);
	void print();

private:
	Vec3f normal;
	float offset;
};

#endif /* PLANE_H_ */
